SPIStatement
Date: 2010-07-30

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.postgresql.pljava.jdbc
Class SPIStatement

    java.lang.Object
      org.postgresql.pljava.jdbc.SPIStatement

All Implemented Interfaces:
  java.sql.Statement, java.sql.Wrapper

Direct Known Subclasses:
  SPIPreparedStatement

    public class SPIStatement

extends java.lang.Object
implements java.sql.Statement

Field Summary

Fields inherited from interface java.sql.Statement
`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

Constructor Summary
`SPIStatement(SPIConnection conn)`

Method Summary
`void` | `addBatch(java.lang.String statement)`
`void` | `cancel()`
`void` | `clearBatch()`
`void` | `clearWarnings()`
`void` | `close()`
`boolean` | `execute(java.lang.String statement)`
`boolean` | `execute(java.lang.String statement, int autoGeneratedKeys)` Return of auto generated keys is not yet supported.
`boolean` | `execute(java.lang.String statement, int[] columnIndexes)` Return of auto generated keys is not yet supported.
`boolean` | `execute(java.lang.String statement, java.lang.String[] columnNames)` Return of auto generated keys is not yet supported.
`int[]` | `executeBatch()`
`protected int` | `executeBatchEntry(java.lang.Object batchEntry)`
`protected boolean` | `executePlan(ExecutionPlan plan, java.lang.Object[] paramValues)`
`java.sql.ResultSet` | `executeQuery(java.lang.String statement)`
`int` | `executeUpdate(java.lang.String statement)`
`int` | `executeUpdate(java.lang.String statement, int autoGeneratedKeys)` Return of auto generated keys is not yet supported.
`int` | `executeUpdate(java.lang.String statement, int[] columnIndexes)` Return of auto generated keys is not yet supported.
`int` | `executeUpdate(java.lang.String statement, java.lang.String[] columnNames)` Return of auto generated keys is not yet supported.
`java.sql.Connection` | `getConnection()` Returns the Connection from that created this statement.
`int` | `getFetchDirection()`
`int` | `getFetchSize()`
`java.sql.ResultSet` | `getGeneratedKeys()`
`int` | `getMaxFieldSize()`
`int` | `getMaxRows()`
`boolean` | `getMoreResults()`
`boolean` | `getMoreResults(int current)`
`int` | `getQueryTimeout()`
`java.sql.ResultSet` | `getResultSet()`
`int` | `getResultSetConcurrency()`
`int` | `getResultSetHoldability()`
`int` | `getResultSetType()`
`int` | `getUpdateCount()`
`java.sql.SQLWarning` | `getWarnings()`
`protected void` | `internalAddBatch(java.lang.Object batch)`
`boolean` | `isClosed()`
`boolean` | `isPoolable()`
`boolean` | `isWrapperFor(java.lang.Class<?> iface)`
`void` | `setCursorName(java.lang.String cursorName)`
`void` | `setEscapeProcessing(boolean enable)`
`void` | `setFetchDirection(int direction)` Only `ResultSet.FETCH_FORWARD` is supported.
`void` | `setFetchSize(int size)`
`void` | `setMaxFieldSize(int size)`
`void` | `setMaxRows(int rows)`
`void` | `setPoolable(boolean poolable)`
`void` | `setQueryTimeout(int seconds)`
`
`<T> T`
` | `unwrap(java.lang.Class<T> iface)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SPIStatement

    public SPIStatement(SPIConnection conn)

Method Detail

### addBatch

    public void addBatch(java.lang.String statement)
                  throws java.sql.SQLException

  Specified by:
    `addBatch` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### cancel

    public void cancel()
                throws java.sql.SQLException

  Specified by:
    `cancel` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### clearBatch

    public void clearBatch()
                    throws java.sql.SQLException

  Specified by:
    `clearBatch` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### clearWarnings

    public void clearWarnings()
                       throws java.sql.SQLException

  Specified by:
    `clearWarnings` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### close

    public void close()
               throws java.sql.SQLException

  Specified by:
    `close` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### execute

    public boolean execute(java.lang.String statement)
                    throws java.sql.SQLException

  Specified by:
    `execute` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### executePlan

    protected boolean executePlan(ExecutionPlan plan,
                                  java.lang.Object[] paramValues)
                           throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### execute

    public boolean execute(java.lang.String statement,
                           int autoGeneratedKeys)
                    throws java.sql.SQLException

  Return of auto generated keys is not yet supported.

  Specified by:
    `execute` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### execute

    public boolean execute(java.lang.String statement,
                           int[] columnIndexes)
                    throws java.sql.SQLException

  Return of auto generated keys is not yet supported.

  Specified by:
    `execute` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### execute

    public boolean execute(java.lang.String statement,
                           java.lang.String[] columnNames)
                    throws java.sql.SQLException

  Return of auto generated keys is not yet supported.

  Specified by:
    `execute` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### executeBatch

    public int[] executeBatch()
                       throws java.sql.SQLException

  Specified by:
    `executeBatch` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### executeQuery

    public java.sql.ResultSet executeQuery(java.lang.String statement)
                                    throws java.sql.SQLException

  Specified by:
    `executeQuery` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### executeUpdate

    public int executeUpdate(java.lang.String statement)
                      throws java.sql.SQLException

  Specified by:
    `executeUpdate` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### executeUpdate

    public int executeUpdate(java.lang.String statement,
                             int autoGeneratedKeys)
                      throws java.sql.SQLException

  Return of auto generated keys is not yet supported.

  Specified by:
    `executeUpdate` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### executeUpdate

    public int executeUpdate(java.lang.String statement,
                             int[] columnIndexes)
                      throws java.sql.SQLException

  Return of auto generated keys is not yet supported.

  Specified by:
    `executeUpdate` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### executeUpdate

    public int executeUpdate(java.lang.String statement,
                             java.lang.String[] columnNames)
                      throws java.sql.SQLException

  Return of auto generated keys is not yet supported.

  Specified by:
    `executeUpdate` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

  Returns the Connection from that created this statement.

  Specified by:
    `getConnection` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException` - if the statement is closed.

### getFetchDirection

    public int getFetchDirection()
                          throws java.sql.SQLException

  Specified by:
    `getFetchDirection` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getFetchSize

    public int getFetchSize()
                     throws java.sql.SQLException

  Specified by:
    `getFetchSize` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getGeneratedKeys

    public java.sql.ResultSet getGeneratedKeys()
                                        throws java.sql.SQLException

  Specified by:
    `getGeneratedKeys` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getMaxFieldSize

    public int getMaxFieldSize()
                        throws java.sql.SQLException

  Specified by:
    `getMaxFieldSize` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getMaxRows

    public int getMaxRows()
                   throws java.sql.SQLException

  Specified by:
    `getMaxRows` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getMoreResults

    public boolean getMoreResults()
                           throws java.sql.SQLException

  Specified by:
    `getMoreResults` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getMoreResults

    public boolean getMoreResults(int current)
                           throws java.sql.SQLException

  Specified by:
    `getMoreResults` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getQueryTimeout

    public int getQueryTimeout()
                        throws java.sql.SQLException

  Specified by:
    `getQueryTimeout` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getResultSet

    public java.sql.ResultSet getResultSet()
                                    throws java.sql.SQLException

  Specified by:
    `getResultSet` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getResultSetConcurrency

    public int getResultSetConcurrency()

  Specified by:
    `getResultSetConcurrency` in interface `java.sql.Statement`

### getResultSetHoldability

    public int getResultSetHoldability()
                                throws java.sql.SQLException

  Specified by:
    `getResultSetHoldability` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getResultSetType

    public int getResultSetType()

  Specified by:
    `getResultSetType` in interface `java.sql.Statement`

### getUpdateCount

    public int getUpdateCount()
                       throws java.sql.SQLException

  Specified by:
    `getUpdateCount` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### getWarnings

    public java.sql.SQLWarning getWarnings()
                                    throws java.sql.SQLException

  Specified by:
    `getWarnings` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### setCursorName

    public void setCursorName(java.lang.String cursorName)
                       throws java.sql.SQLException

  Specified by:
    `setCursorName` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### setEscapeProcessing

    public void setEscapeProcessing(boolean enable)
                             throws java.sql.SQLException

  Specified by:
    `setEscapeProcessing` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### setFetchDirection

    public void setFetchDirection(int direction)
                           throws java.sql.SQLException

  Only `ResultSet.FETCH_FORWARD` is supported.

  Specified by:
    `setFetchDirection` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported for other values on `direction`.

### setFetchSize

    public void setFetchSize(int size)
                      throws java.sql.SQLException

  Specified by:
    `setFetchSize` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### setMaxFieldSize

    public void setMaxFieldSize(int size)
                         throws java.sql.SQLException

  Specified by:
    `setMaxFieldSize` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### setMaxRows

    public void setMaxRows(int rows)
                    throws java.sql.SQLException

  Specified by:
    `setMaxRows` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### setQueryTimeout

    public void setQueryTimeout(int seconds)
                         throws java.sql.SQLException

  Specified by:
    `setQueryTimeout` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### internalAddBatch

    protected void internalAddBatch(java.lang.Object batch)
                             throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### executeBatchEntry

    protected int executeBatchEntry(java.lang.Object batchEntry)
                             throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### isClosed

    public boolean isClosed()
                     throws java.sql.SQLException

  Specified by:
    `isClosed` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### isPoolable

    public boolean isPoolable()
                       throws java.sql.SQLException

  Specified by:
    `isPoolable` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### setPoolable

    public void setPoolable(boolean poolable)
                     throws java.sql.SQLException

  Specified by:
    `setPoolable` in interface `java.sql.Statement`
  Throws:
    `java.sql.SQLException`

### isWrapperFor

    public boolean isWrapperFor(java.lang.Class<?> iface)
                         throws java.sql.SQLException

  Specified by:
    `isWrapperFor` in interface `java.sql.Wrapper`
  Throws:
    `java.sql.SQLException`

### unwrap

    public <T> T unwrap(java.lang.Class<T> iface)
             throws java.sql.SQLException

  Specified by:
    `unwrap` in interface `java.sql.Wrapper`
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003, 2004, 2005 TADA AB - Taby Sweden. \ Distributed under the terms shown in COPYRIGHT